// 获取按键 协议
// [0xf0, 0x01, 0x67, 0x01, 0x01, 0x6a, 0xf7];

// codey 写入
// 设置 led 颜色
neuronsEngine.sendBlockCommand('CODEY', 'SET_COLOUR', [250, 0, 0]);
// 播放声音
neuronsEngine.sendBlockCommand('CODEY', 'PLAY_SOUND', ['hum.wav']);
// 停止播放
neuronsEngine.sendBlockCommand('CODEY', 'STOP_SOUND');
// 播放音符
neuronsEngine.sendBlockCommand('CODEY', 'PLAY_NOTE', [500, 2000]);
// 设置点阵
const matrix = [0, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 1]
neuronsEngine.sendBlockCommand('CODEY', 'SET_LED_MATRIX', [500, 2]);

// rocky 写入
// 小车停止移动
neuronsEngine.sendBlockCommand('ROCKY', 'SET_STOP_MOVE');
neuronsEngine.sendBlockCommand('ROCKY', 'SET_FORWARD', [100]);
neuronsEngine.sendBlockCommand('ROCKY', 'SET_BACKWARD', [100]);
neuronsEngine.sendBlockCommand('ROCKY', 'SET_TURN_RIGHT', [100]);
neuronsEngine.sendBlockCommand('ROCKY', 'SET_TURN_LEFT', [100]);

// 上报读值
// 通过轮询上报值，衔接广播
// 变化上报
neuronsEngine.sendBlockCommand('CODEY', 'SET_REPORT_MODE', [0x01, 0x01, 50])
// 周期上报
neuronsEngine.sendBlockCommand('CODEY', 'SET_REPORT_MODE', [0x01, 0x02, 50])

// codey 读值
// 检测当按钮被按下
neuronsEngine.getBlockSubStatus('CODEY', 'button_pressed');
// 获取光强
neuronsEngine.getBlockSubStatus("CODEY", 'light');
// 获取声强
neuronsEngine.getBlockSubStatus('CODEY', 'sound_intensity');


// 设置在线模式
// F3 F6 03 00  0D  00 01 0E F4
// [243,246,3,0,13,0,1,14,244]